import EMEQSpareMapGridView9 from '@/widgets/emeqspare-map/grid-view9-portlet/grid-view9-portlet.vue';
import EMEQSpareDetailGridView9 from '@/widgets/emeqspare-detail/grid-view9-portlet/grid-view9-portlet.vue';
import EMServiceEvlEvaluateTop5 from '@/widgets/emservice-evl/evaluate-top5-portlet/evaluate-top5-portlet.vue';
import EMEquipEQNumPie from '@/widgets/emequip/eqnum-pie-portlet/eqnum-pie-portlet.vue';
import EMEquipInfo from '@/widgets/emequip/info-portlet/info-portlet.vue';
import EMEquipRunInfo from '@/widgets/emequip/run-info-portlet/run-info-portlet.vue';
import EMPlanDetailByPlan from '@/widgets/emplan-detail/by-plan-portlet/by-plan-portlet.vue';
import EMEQSpareInfo from '@/widgets/emeqspare/info-portlet/info-portlet.vue';
import EMServiceEvlOverallEVL from '@/widgets/emservice-evl/overall-evl-portlet/overall-evl-portlet.vue';
import EMWOCalendarView from '@/widgets/emwo/calendar-view-portlet/calendar-view-portlet.vue';
import EMWOEqWoTrend from '@/widgets/emwo/eq-wo-trend-portlet/eq-wo-trend-portlet.vue';
import EMWOYearWoTrend from '@/widgets/emwo/year-wo-trend-portlet/year-wo-trend-portlet.vue';
import EMWOYearWONumByPlan from '@/widgets/emwo/year-wonum-by-plan-portlet/year-wonum-by-plan-portlet.vue';
import EMStockStoclCntBar from '@/widgets/emstock/stocl-cnt-bar-portlet/stocl-cnt-bar-portlet.vue';
import EMWPListCostCostByItem from '@/widgets/emwplist-cost/cost-by-item-portlet/cost-by-item-portlet.vue';
import EMResItemUsedByItem from '@/widgets/emres-item/used-by-item-portlet/used-by-item-portlet.vue';
import EMResItemAmountByTypeByEQ from '@/widgets/emres-item/amount-by-type-by-eq-portlet/amount-by-type-by-eq-portlet.vue';
import EMServiceInfo from '@/widgets/emservice/info-portlet/info-portlet.vue';
import EMServiceContact from '@/widgets/emservice/contact-portlet/contact-portlet.vue';
import EMServiceFinance from '@/widgets/emservice/finance-portlet/finance-portlet.vue';
import EMServiceFile from '@/widgets/emservice/file-portlet/file-portlet.vue';
import EMEQSpareMapByEQ from '@/widgets/emeqspare-map/by-eq-portlet/by-eq-portlet.vue';
import EMENConsumEqEnByYearLine from '@/widgets/emenconsum/eq-en-by-year-line-portlet/eq-en-by-year-line-portlet.vue';
import EMItemTradeYearNumByItem from '@/widgets/emitem-trade/year-num-by-item-portlet/year-num-by-item-portlet.vue';
import EMEQSpareDetailTabExpView from '@/widgets/emeqspare-detail/tab-exp-view-portlet/tab-exp-view-portlet.vue';
import EMObjMapLocalByEQ from '@/widgets/emobj-map/local-by-eq-portlet/local-by-eq-portlet.vue';
import EMRFODEEditView9 from '@/widgets/emrfode/edit-view9-portlet/edit-view9-portlet.vue';
import EMRFODETabExpView from '@/widgets/emrfode/tab-exp-view-portlet/tab-exp-view-portlet.vue';
import EMWPListWpAmountFunnel from '@/widgets/emwplist/wp-amount-funnel-portlet/wp-amount-funnel-portlet.vue';
import EMItemSupply from '@/widgets/emitem/supply-portlet/supply-portlet.vue';
import EMItemBaseInfo from '@/widgets/emitem/base-info-portlet/base-info-portlet.vue';
import EMItemStore from '@/widgets/emitem/store-portlet/store-portlet.vue';
import EMDRWGMapByEQ from '@/widgets/emdrwgmap/by-eq-portlet/by-eq-portlet.vue';
import EMEQWLNearest30DayByEQ from '@/widgets/emeqwl/nearest30-day-by-eq-portlet/nearest30-day-by-eq-portlet.vue';
import EMPlanInfo from '@/widgets/emplan/info-portlet/info-portlet.vue';
import EMPlanEQInfo from '@/widgets/emplan/eqinfo-portlet/eqinfo-portlet.vue';
import EMPlanPersonInfo from '@/widgets/emplan/person-info-portlet/person-info-portlet.vue';
import EMPODetailPeDetailLine from '@/widgets/empodetail/pe-detail-line-portlet/pe-detail-line-portlet.vue';

export const  PortletComponent = {
    install(v: any, opt: any) {
        v.component('app-emequip-eqnum-pie-portlet', EMEquipEQNumPie);
        v.component('app-emeqspare-map-grid-view9-portlet', EMEQSpareMapGridView9);
        v.component('app-emeqspare-detail-grid-view9-portlet', EMEQSpareDetailGridView9);
        v.component('app-emwo-calendar-view-portlet', EMWOCalendarView);
        v.component('app-emwo-year-wo-trend-portlet', EMWOYearWoTrend);
        v.component('app-empodetail-pe-detail-line-portlet', EMPODetailPeDetailLine);
        v.component('app-emservice-evl-evaluate-top5-portlet', EMServiceEvlEvaluateTop5);
        v.component('app-emstock-stocl-cnt-bar-portlet', EMStockStoclCntBar);
        v.component('app-emwplist-wp-amount-funnel-portlet', EMWPListWpAmountFunnel);
        v.component('app-emservice-info-portlet', EMServiceInfo);
        v.component('app-emservice-contact-portlet', EMServiceContact);
        v.component('app-emservice-finance-portlet', EMServiceFinance);
        v.component('app-emservice-file-portlet', EMServiceFile);
        v.component('app-emeqwl-nearest30-day-by-eq-portlet', EMEQWLNearest30DayByEQ);
        v.component('app-emeqspare-detail-tab-exp-view-portlet', EMEQSpareDetailTabExpView);
        v.component('app-emitem-trade-year-num-by-item-portlet', EMItemTradeYearNumByItem);
        v.component('app-emres-item-used-by-item-portlet', EMResItemUsedByItem);
        v.component('app-emwplist-cost-cost-by-item-portlet', EMWPListCostCostByItem);
        v.component('app-emwo-year-wonum-by-plan-portlet', EMWOYearWONumByPlan);
        v.component('emequip-eqnum-pie-portlet', EMEquipEQNumPie);
        v.component('emequip-info-portlet', EMEquipInfo);
        v.component('emequip-run-info-portlet', EMEquipRunInfo);
        v.component('emplan-detail-by-plan-portlet', EMPlanDetailByPlan);
        v.component('emeqspare-info-portlet', EMEQSpareInfo);
        v.component('emservice-evl-overall-evl-portlet', EMServiceEvlOverallEVL);
        v.component('emwo-calendar-view-portlet', EMWOCalendarView);
        v.component('emwo-eq-wo-trend-portlet', EMWOEqWoTrend);
        v.component('emwo-year-wo-trend-portlet', EMWOYearWoTrend);
        v.component('emwo-year-wonum-by-plan-portlet', EMWOYearWONumByPlan);
        v.component('emstock-stocl-cnt-bar-portlet', EMStockStoclCntBar);
        v.component('emwplist-cost-cost-by-item-portlet', EMWPListCostCostByItem);
        v.component('emres-item-used-by-item-portlet', EMResItemUsedByItem);
        v.component('emres-item-amount-by-type-by-eq-portlet', EMResItemAmountByTypeByEQ);
        v.component('emservice-info-portlet', EMServiceInfo);
        v.component('emservice-contact-portlet', EMServiceContact);
        v.component('emservice-finance-portlet', EMServiceFinance);
        v.component('emservice-file-portlet', EMServiceFile);
        v.component('emeqspare-map-by-eq-portlet', EMEQSpareMapByEQ);
        v.component('emenconsum-eq-en-by-year-line-portlet', EMENConsumEqEnByYearLine);
        v.component('emitem-trade-year-num-by-item-portlet', EMItemTradeYearNumByItem);
        v.component('emeqspare-detail-tab-exp-view-portlet', EMEQSpareDetailTabExpView);
        v.component('emobj-map-local-by-eq-portlet', EMObjMapLocalByEQ);
        v.component('emrfode-edit-view9-portlet', EMRFODEEditView9);
        v.component('emrfode-tab-exp-view-portlet', EMRFODETabExpView);
        v.component('emwplist-wp-amount-funnel-portlet', EMWPListWpAmountFunnel);
        v.component('emitem-supply-portlet', EMItemSupply);
        v.component('emitem-base-info-portlet', EMItemBaseInfo);
        v.component('emitem-store-portlet', EMItemStore);
        v.component('emdrwgmap-by-eq-portlet', EMDRWGMapByEQ);
        v.component('emeqwl-nearest30-day-by-eq-portlet', EMEQWLNearest30DayByEQ);
        v.component('emplan-info-portlet', EMPlanInfo);
        v.component('emplan-eqinfo-portlet', EMPlanEQInfo);
        v.component('emplan-person-info-portlet', EMPlanPersonInfo);
        v.component('empodetail-pe-detail-line-portlet', EMPODetailPeDetailLine);
    }
};